# Interface Abortable

interface Abortable {
signal?: AbortSignal;
}

#### Hierarchy (view full)

- Abortable
  - ListenOptions
  - StreamOptions
  - FinishedOptions

- Defined in node_modules/@types/node/events.d.ts:482

#####
Index

### Properties

signal?

## Properties

### `Optional` signal

signal?: AbortSignal

When provided the corresponding `AbortController` can be used to cancel an asynchronous action.

- Defined in node_modules/@types/node/events.d.ts:486